# DefaultSwingTableConfigurator (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.client
Class DefaultSwingTableConfigurator

    java.lang.Object
      com.threerings.parlor.client.TableConfigurator
          com.threerings.parlor.client.DefaultSwingTableConfigurator

    public class DefaultSwingTableConfigurator

extends TableConfigurator

Provides a default implementation of a TableConfigurator for a Swing interface.

Constructor Summary
`DefaultSwingTableConfigurator(int players)` Create a TableConfigurator that allows only the specified number of players and lets the configuring user enable private games only if the number of players is greater than 2.
`DefaultSwingTableConfigurator(int players, boolean allowPrivate)` Create a TableConfigurator that allows only the specified number of players and lets the user configure a private table, or not.
`DefaultSwingTableConfigurator(int minPlayers, int desiredPlayers, int maxPlayers, boolean allowPrivate)` Create a TableConfigurator that allows for the specified configuration parameters.

Method Summary
`boolean` `isEmpty()` If true, the TableConfigurator is empty, which doesn't mean that it will not return a TableConfig object (for it must), but rather that there are no user-editable options being presented in the config interface.

Methods inherited from class com.threerings.parlor.client.TableConfigurator
`getTableConfig, init, setTableConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSwingTableConfigurator

    public DefaultSwingTableConfigurator(int players)

  Create a TableConfigurator that allows only the specified number of players and lets the configuring user enable private games only if the number of players is greater than 2.

### DefaultSwingTableConfigurator

    public DefaultSwingTableConfigurator(int players,
                                         boolean allowPrivate)

  Create a TableConfigurator that allows only the specified number of players and lets the user configure a private table, or not.

### DefaultSwingTableConfigurator

    public DefaultSwingTableConfigurator(int minPlayers,
                                         int desiredPlayers,
                                         int maxPlayers,
                                         boolean allowPrivate)

  Create a TableConfigurator that allows for the specified configuration parameters.

Method Detail

### isEmpty

    public boolean isEmpty()

  Description copied from class: `TableConfigurator`
  If true, the TableConfigurator is empty, which doesn't mean that it will not return a TableConfig object (for it must), but rather that there are no user-editable options being presented in the config interface.

  Specified by:
    `isEmpty` in class `TableConfigurator`

Copyright © 2011. All Rights Reserved.